#
# spec file for package yast2-iplb
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-iplb
Version:        4.3.0
Release:        1.99
Summary:        Configuration of iplb
License:        GPL-2.0-only
Group:          System/YaST
URL:            https://github.com/yast/yast-iplb

Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 4.2.2
BuildRequires:  yast2-testsuite

Requires:       yast2
Requires:       yast2-ruby-bindings >= 1.0.0

Supplements:    autoyast(iplb)

BuildArch:      noarch

%description
YaST2 - Configuration of IP load balance.With this module
you can configure a IP load balance system, frequently
used on high availability (HA) clusters.


%prep
%setup -q

%build
%yast_build

%install
%yast_install
%yast_metainfo

%files
%{yast_yncludedir}
%{yast_clientdir}
%{yast_moduledir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_scrconfdir}
%doc %{yast_docdir}
%license COPYING
%{yast_icondir}

%changelog
* Mon Aug 10 2020 schubi@suse.de
- AutoYaST: Added supplements: autoyast(iplb) into the spec file
  in order to install this packages if the section has been defined
  in the AY configuration file (bsc#1146494).
- 4.3.0
* Fri May 31 2019 hellcp@mailbox.org
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.0
* Sun Nov 25 2018 hellcp@mailbox.org
- Provide icon with module (boo#1109310)
- 4.1.0
* Tue Oct 16 2018 schubi@suse.de
-  Added license file to spec.
* Mon Aug 20 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Tue Jun 26 2018 schubi@suse.de
- Added additional searchkeys to desktop file (fate#321043).
- Version 4.0.1
* Sun Feb 11 2018 nwang@suse.com
- bsc#1080332, split large strings into smaller combination
  to ease translation
- Version 4.0.0
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- Version 3.1.6
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
- Version 3.1.5
* Fri Jun  6 2014 nwang@suse.com
- BNC#879027 reopened. Help doc is not supposed to ignored, but ORed.
- Version 3.1.4
* Wed Jun  4 2014 nwang@suse.com
- BNC#880964. Make "untranslated hardcoded" to "ready to translate".
- Version 3.1.3
* Thu May 29 2014 nwang@suse.com
- BNC#879029. Modify typo of ored to ignored.
- Version 3.1.2
* Tue May 27 2014 nwang@suse.com
- Using same spec file of ibs and obs.
- Version 3.1.1
* Fri May  9 2014 nwang@suse.com
- BNC#875677. Modify desktop file. Change name from IPLB to IP Load
  Balancing.
* Thu Apr 24 2014 nwang@suse.com
- BNC#804982. Unify the spacing of table global configuration.
* Fri Dec  4 2009 cmeng@novell.com
- initial version
